メインコンテンツへスキップ
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
{mailbox}
メールボックスを更新
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>"
}
'
{
  "created_at": "<string>",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_name": "<string>",
  "first_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_name": "<string>",
  "local_part": "<string>",
  "primary_email": "<string>",
  "quota": {
    "allowed": 123,
    "used": 123
  },
  "status": "<string>",
  "updated_at": "<string>",
  "aliases": [
    {
      "alias": "<string>",
      "is_catch_all": false
    }
  ],
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須
mailbox
string
必須

ボディ

application/json

顧客向けメールボックス更新要求。

first_name
string | null
last_name
string | null

レスポンス

created_at
string
必須

メールボックス作成のタイムスタンプ

domain_id
string<uuid>
必須

メールボックスのドメイン UUID

domain_name
string
必須

メールボックスのドメイン名

first_name
string
必須

メールボックスユーザーの名

id
string<uuid>
必須

メールボックス UUID

last_name
string
必須

メールボックスユーザーの姓

local_part
string
必須

アットマークの前のメールボックスのローカル部分

primary_email
string
必須

プライマリメールボックスの電子メールアドレス

quota
メールボックスQuotaDTO · object
必須

メールボックスクォータの使用量

status
string
必須

メールボックスのライフサイクルステータス

updated_at
string
必須

メールボックスの最終更新タイムスタンプ

aliases
メールボックスAliasDTO · object[]

メールボックスのエイリアス

workspace_id
string<uuid> | null

メールボックスのワークスペース UUID

workspace_name
string | null

ワークスペースの表示名